org.fourthline.cling.support.renderingcontrol.lastchange

## Class EventedValueChannelVolumeDB

- java.lang.Object
- - org.fourthline.cling.support.lastchange.EventedValue<ChannelVolumeDB>
  - - org.fourthline.cling.support.renderingcontrol.lastchange.EventedValueChannelVolumeDB

- Direct Known Subclasses:
    RenderingControlVariable.VolumeDB

      public class EventedValueChannelVolumeDB
      extends EventedValue<ChannelVolumeDB>

  Author:
    Christian Bauer

- - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventedValueChannelVolumeDB(ChannelVolumeDB value)`
    `EventedValueChannelVolumeDB(Map.Entry<String,String>[] attributes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map.Entry<String,String>[]` | `getAttributes()`
    `protected Datatype` | `getDatatype()`
    `String` | `toString()`
    `protected ChannelVolumeDB` | `valueOf(Map.Entry<String,String>[] attributes)`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `getName, getValue, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventedValueChannelVolumeDB

          public EventedValueChannelVolumeDB(ChannelVolumeDB value)

    - #### EventedValueChannelVolumeDB

          public EventedValueChannelVolumeDB(Map.Entry<String,String>[] attributes)

  - ### Method Detail

    - #### valueOf

          protected ChannelVolumeDB valueOf(Map.Entry<String,String>[] attributes)
                                     throws InvalidValueException

      Overrides:
        `valueOf` in class `EventedValue<ChannelVolumeDB>`
      Throws:
        `InvalidValueException`

    - #### getAttributes

          public Map.Entry<String,String>[] getAttributes()

      Overrides:
        `getAttributes` in class `EventedValue<ChannelVolumeDB>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EventedValue<ChannelVolumeDB>`

    - #### getDatatype

          protected Datatype getDatatype()

      Specified by:
        `getDatatype` in class `EventedValue<ChannelVolumeDB>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.